EV {eha} | R Documentation

## The EV Distribution

### Description

Density, distribution function, quantile function, hazard function, cumulative hazard function, and random generation for the EV distribution with parameters `shape` and `scale`.

### Usage

    dEV(x, shape = 1, scale = 1, log = FALSE)
    pEV(q, shape = 1, scale = 1, lower.tail = TRUE, log.p = FALSE)
    qEV(p, shape = 1, scale = 1, lower.tail = TRUE, log.p = FALSE)
    hEV(x, shape = 1, scale = 1, log = FALSE)
    HEV(x, shape = 1, scale = 1, log.p = FALSE)
    rEV(n, shape = 1, scale = 1)

### Arguments

`shape, scale` | shape and scale parameters, both defaulting to 1.
`lower.tail` | logical; if TRUE (default), probabilities are P(X <= x), otherwise, P(X > x).
`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1`, the length is taken to be the number required.
`log, log.p` | logical; if TRUE, probabilities p are given as log(p).

### Details

The EV distribution with `scale` parameter a and `shape` parameter b has hazard function given by

(b/a)(x/a)^(b-1)exp((x / a)^b)

for x >= 0.

### Value

`dEV` gives the density, `pEV` gives the distribution function, `qEV` gives the quantile function, `hEV` gives the hazard function, `HEV` gives the cumulative hazard function, and `rEV` generates random deviates.

Invalid arguments will result in return value `NaN`, with a warning.

[Package eha version 2.6.0 Index]